public static interface FlatpackEndpointBuilderFactory.FlatpackBuilders
| Modifier and Type | Method and Description |
|---|---|
default FlatpackEndpointBuilderFactory.FlatpackEndpointBuilder |
flatpack(String path)
Flatpack (camel-flatpack)
Parse fixed width and delimited files using the FlatPack library.
|
default FlatpackEndpointBuilderFactory.FlatpackEndpointBuilder |
flatpack(String componentName,
String path)
Flatpack (camel-flatpack)
Parse fixed width and delimited files using the FlatPack library.
|
default FlatpackEndpointBuilderFactory.FlatpackEndpointBuilder flatpack(String path)
flatpack:type:resourceUri
Path parameter: type
Whether to use fixed or delimiter
Default value: delim
There are 2 enums and the value can be one of: fixed, delim
Path parameter: resourceUri (required)
URL for loading the flatpack mapping file from classpath or file
systempath - type:resourceUridefault FlatpackEndpointBuilderFactory.FlatpackEndpointBuilder flatpack(String componentName, String path)
flatpack:type:resourceUri
Path parameter: type
Whether to use fixed or delimiter
Default value: delim
There are 2 enums and the value can be one of: fixed, delim
Path parameter: resourceUri (required)
URL for loading the flatpack mapping file from classpath or file
systemcomponentName - to use a custom component name for the endpoint
instead of the default namepath - type:resourceUriApache Camel